$(document).ready(function(e) {
    CarregaEventoCancelado();
	$(document).on('click','#btnDetalheObs',function(){
		show($(this).attr('obs')); 
	return false;	
	 })
	 
	 					$('#pnDescricaoRetomarda').dialog({
						autoOpen : false,
						modal : true,
						resizable : false,
						height : 350, // altura
						width : 550, // largura
						buttons : {
							'Retomar Contrato' : function() {
								if($('#edtObsRetomada').val() == ''){
									show('Informe porque quer retomar este evento?','#edtObsRetomada');
									return false;	
								}
								RetomarContrato($('#edtObsRetomada').val(), id_evento_local);
							 	
								},
								
							'Sair' : function(){$(this).dialog('close');}
						}

					})
	 
	 
	var id_evento_local; 
	$(document).on('click','#ReTornarContrato',function(){
			id_evento_local = $(this).attr('id_evento');
			Confirmacao('Gostaria de retomar este contrato?',function(){
														   
														   $('#pnDescricaoRetomarda').dialog('open');
																});
		  return false;
	})	 
	 
	 
});


function RetomarContrato(obs, id_evento){
	var usuario = $('#boxLogin').html();
		$.ajax({
		type : "POST",
		url : "evento_cancelado/ax.evento_cancelado.php",
		data : 'ax=RetomarEvento&id_evento=' + id_evento+'&obs='+obs+'&usuario='+usuario,
		beforeSend : function() {$("#pnDescricaoRetomarda").html(Load());},
		success : function(R){$('#pnDescricaoRetomarda').dialog('close');
								location='index.php?p=evento/principal&id_evento='+id_evento;
								},
		error : function(R) {$("#pnDescricaoRetomarda").html('Falha ao carregar, ou tente novamente!').fadeIn('slow');
							 $("#pnDescricaoRetomarda").html('ui-state-error ui-corner-all');

		}

	}) // fim ajax
	
//location='index.php?p=evento/principal&id_evento='+id_evento;
}


function CarregaEventoCancelado(){
	$.ajax({
		type : "POST",
		url : "evento_cancelado/ax.evento_cancelado.php",
		data : 'ax=SelectEventoCancelado',
		beforeSend : function() {$("#pnEventosCancelados").html('<img src="img/salvando.gif"/>').fadeIn('slow');},
		success : function(R) {$("#pnEventosCancelados").html(R).fadeIn('slow');},
		error : function(R) {$("#pnEventosCancelados").html('Falha ao salvar verifique, ou tente novamente!').fadeIn('slow');
							 $("#pnEventosCancelados").addClass('ui-state-error ui-corner-all');
		}
	}) // fim ajax
	
	
}